﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace EVCB_OCPP.WEBAPI.Models.WebAPI
{
    public class AvailiabilityRequest
    {

        /// <summary>
        /// Required. The id of the connector for which availability needs to change. Id '0'
        /// (zero) is used if the availability of the Charge Point and all its connectors needs to change.        
       /// </summary>
        [Required]
        public int ConnectorId { set; get; }


        /// <summary>
        /// A Charge Point is considered available “operative”) when it is charging or ready for charging.
        /// A Charge Point is considered unavailable when it does not allow any charging.
        /// 0: Inoperative 1: Operative
        /// </summary>
        [Required]
        public int AvailabilityType { set; get; }

    }
}